--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: This module provides instance methods that manipulate closures in a functional style. It is typically included in Proc and Method.
constants: []

full_name: RParsec::FunctorMixin
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "*"
- !ruby/object:RI::MethodSummary 
  name: "**"
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: ">>"
- !ruby/object:RI::MethodSummary 
  name: compose
- !ruby/object:RI::MethodSummary 
  name: curry
- !ruby/object:RI::MethodSummary 
  name: flip
- !ruby/object:RI::MethodSummary 
  name: power
- !ruby/object:RI::MethodSummary 
  name: repeat
- !ruby/object:RI::MethodSummary 
  name: reverse_curry
- !ruby/object:RI::MethodSummary 
  name: reverse_uncurry
- !ruby/object:RI::MethodSummary 
  name: uncurry
name: FunctorMixin
superclass: 
